org.eclipse.wst.jsdt.core.refactoring.descriptors

## Class RenameResourceDescriptor

- java.lang.Object
- - RefactoringDescriptor
  - - org.eclipse.wst.jsdt.core.refactoring.descriptors.JavaScriptRefactoringDescriptor
    - - org.eclipse.wst.jsdt.core.refactoring.descriptors.RenameResourceDescriptor

    public final class RenameResourceDescriptor
    extends JavaScriptRefactoringDescriptor

Refactoring descriptor for the rename resource refactoring.

An instance of this refactoring descriptor may be obtained by calling `org.eclipse.ltk.core.refactoring.RefactoringContribution#createDescriptor()` on a refactoring contribution requested by invoking `org.eclipse.ltk.core.refactoring.RefactoringCore#getRefactoringContribution(String)` with the appropriate refactoring id.

Note: this class is not intended to be instantiated by clients.

Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### Field Summary

### Fields inherited from class org.eclipse.wst.jsdt.core.refactoring.descriptors.JavaScriptRefactoringDescriptor

`ATTRIBUTE_ELEMENT, ATTRIBUTE_INPUT, ATTRIBUTE_NAME, ATTRIBUTE_REFERENCES, ATTRIBUTE_SELECTION, ATTRIBUTE_VERSION, fArguments, JAR_MIGRATION, JAR_REFACTORING, JAR_SOURCE_ATTACHMENT, VALUE_VERSION_1_0`

### Constructor Summary

Constructors
Constructor and Description
`RenameResourceDescriptor()` Creates a new refactoring descriptor.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `populateArgumentMap()` Populates the refactoring descriptor argument map based on the specified arguments.
`void` `setNewName(java.lang.String name)` Sets the new name to rename the resource to.
`void` `setProject(java.lang.String project)` Sets the project name of this refactoring.
`void` `setResource(IResource resource)` Sets the resource to be renamed.
`RefactoringStatus` `validateDescriptor()` Validates the refactoring descriptor with respect to the constraints imposed by the represented refactoring.

### Methods inherited from class org.eclipse.wst.jsdt.core.refactoring.descriptors.JavaScriptRefactoringDescriptor

`createRefactoring, elementToHandle, getArguments, handleToElement, handleToElement, handleToElement, handleToResource, resourceToHandle, setComment, setDescription, setFlags`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RenameResourceDescriptor

    public RenameResourceDescriptor()

Creates a new refactoring descriptor.

### Method Detail

#### populateArgumentMap

    protected void populateArgumentMap()

Populates the refactoring descriptor argument map based on the specified arguments.

Overrides:
  `populateArgumentMap` in class `JavaScriptRefactoringDescriptor`

#### setNewName

    public void setNewName(java.lang.String name)

Sets the new name to rename the resource to.

Parameters:
  `name` - the non-empty new name to set

#### setProject

    public void setProject(java.lang.String project)

Sets the project name of this refactoring.

Note: If the resource to be renamed is of type `IResource#PROJECT`, clients are required to to set the project name to `null`.

The default is to associate the refactoring with the workspace.

Overrides:
  `setProject` in class `JavaScriptRefactoringDescriptor`
Parameters:
  `project` - the non-empty project name to set, or `null` for the workspace
See Also:
  `#getProject()`

#### setResource

    public void setResource(IResource resource)

Sets the resource to be renamed.

Note: If the resource to be renamed is of type `IResource#PROJECT`, clients are required to to set the project name to `null`.

Parameters:
  `resource` - the resource to be renamed

#### validateDescriptor

    public RefactoringStatus validateDescriptor()

Validates the refactoring descriptor with respect to the constraints imposed by the represented refactoring.

Clients must call this method to verify that all arguments have been correctly set and that they satisfy the constraints imposed by specific refactorings. Returning a refactoring status of severity `RefactoringStatus#FATAL` indicates that the refactoring descriptor cannot be used to create a refactoring instance.

Overrides:
  `validateDescriptor` in class `JavaScriptRefactoringDescriptor`
Returns:
  a refactoring status describing the outcome of the validation